Skip to main content
GET
/
prod
/
campaigns
/
{id}
Get All Manual Campaigns
curl --request GET \
  --url https://api.aimtell.com/prod/campaigns/{id} \
  --header 'X-Authorization-Api-Key: <api-key>'
[
  {
    "idSite": 179,
    "uid": "76cedd11b19e",
    "name": "Campaign 1",
    "title": "Title",
    "body": "Body",
    "link": "https://weblink.com",
    "id": 1,
    "segments": "",
    "ab_linked_campaign": null,
    "push_src": null,
    "push_src_values": null,
    "sent_date": null,
    "schedule_date": "2024-09-03 12:30",
    "status": 1,
    "customIcon": "https://cdn.aimtell.io/user/uploads/siteicons.aimtell.com/icon_40_1443032714..jpg",
    "customImage": "",
    "actions": {
      "a01": {
        "title": "",
        "link": ""
      },
      "a02": {
        "title": "",
        "link": ""
      }
    },
    "collapse_key": null,
    "createdAt": "2024-09-02 19:18:55",
    "updatedAt": "2024-09-02 19:18:55"
  }
]

Documentation Index

Fetch the complete documentation index at: https://developers.aimtell.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Authorization-Api-Key
string
header
default:""
required

Path Parameters

id
string
required

Site ID

Query Parameters

limit
string

Maximum number of results to return per page.

skip
string

Number of results to skip for pagination (offset).

Response

200